Ada Reference Manual (Ada 2022) — Legal Information

# 9.7 Select Statements

1
There are four forms of the select_statement. One form provides a selective wait for one or more select_alternatives. Two provide timed and conditional entry calls. The fourth provides asynchronous transfer of control.

#### Syntax

2
select_statement ::=
selective_accept
| timed_entry_call
| conditional_entry_call
| asynchronous_select

#### Examples

3
Example of a select statement:
4
select
accept Driver_Awake_Signal;
or
delay 30.0*Seconds;
Stop_The_Train;
end select;

Ada 2005 and 2012 Editions sponsored in part by Ada-Europe